
Infrastructure - Task #773

Story # 981 (Closed): Persist Nodelist in Metacat 

Implement Node Identity creation mechanism for nodeList

2010-08-11 05:33 - Rob Nahf

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.10-Block.2   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

replicaMemberNode from systemMetaData call needs to contain a registered node identifier, instead of url-style data.  

We need to assign unique identifiers to nodes.  They should not be based on human input or urls. However, the base url must be

unique (we do not support two member nodes being served from the same member node implementation), though the hostname

maybe be the same for different mn implementations.

History

#1 - 2010-09-14 18:47 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-10-06 20:26 - Robert Waltz

- Parent task set to #662

#3 - 2010-10-06 21:25 - Robert Waltz

- Milestone set to CCI-0.6

#4 - 2010-10-07 12:33 - Dave Vieglais

- Start date set to 2010-10-07

- Tracker changed from Bug to Task

#5 - 2010-10-07 21:55 - Robert Waltz

- Milestone changed from CCI-0.6 to CCI-0.5

- Subject changed from Implement Node Registry for systemMetadata to Implement Node Identify creation mechanism for nodeList

- Category changed from 222 to d1_cn_service

- Target version set to Sprint-2010.43

- Parent task changed from #662 to #981

#6 - 2010-10-07 22:01 - Robert Waltz

- Status changed from In Progress to New

#7 - 2010-10-07 22:01 - Robert Waltz

- Priority changed from High to Normal

#8 - 2010-12-02 18:48 - Rob Nahf

- Subject changed from Implement Node Identify creation mechanism for nodeList to Implement Node Identity creation mechanism for nodeList
#9 - 2011-03-16 15:39 - Robert Waltz

- Status changed from New to Closed

Implemented in NodeIdGenerator class, but it still needs a better package in which to reside
